diff options
author | Stefan Fritsch <sf@debian.org> | 2010-01-02 16:58:54 +0000 |
---|---|---|
committer | Stefan Fritsch <sf@sfritsch.de> | 2012-01-02 10:37:05 +0100 |
commit | 21e2e929a6f9f150f91ffc4e26e3fc378e7cbe57 (patch) | |
tree | 3e630d245020ac1d6e73232418487a66ca61584d | |
parent | a4883f99bf257136e35abf6cdec2a944966c5594 (diff) | |
download | apache2-21e2e929a6f9f150f91ffc4e26e3fc378e7cbe57.tar.gz |
* Print a useful error message if 'apache2ctl status' fails. Add a comment
to /etc/apache2/envvars on how to change the options for www-browser.
Closes: #561496, #272069
* Point to README.backtrace in apache2-dbg's description.
git-svn-id: svn+ssh://svn.debian.org/svn/pkg-apache/trunk/apache2@1109 01b336ce-410b-0410-9a02-a0e7f243c266
-rw-r--r-- | debian/changelog | 9 | ||||
-rw-r--r-- | debian/config-dir/envvars | 4 | ||||
-rw-r--r-- | debian/control | 1 | ||||
-rwxr-xr-x | debian/patches/050_enhance_apache2ctl.dpatch | 25 |
4 files changed, 33 insertions, 6 deletions
diff --git a/debian/changelog b/debian/changelog index 1eaa36d8..6f69be80 100644 --- a/debian/changelog +++ b/debian/changelog @@ -1,3 +1,12 @@ +apache2 (2.2.14-5) UNRELEASED; urgency=low + + * Print a useful error message if 'apache2ctl status' fails. Add a comment + to /etc/apache2/envvars on how to change the options for www-browser. + Closes: #561496, #272069 + * Point to README.backtrace in apache2-dbg's description. + + -- Stefan Fritsch <sf@debian.org> Sat, 02 Jan 2010 17:41:40 +0100 + apache2 (2.2.14-4) unstable; urgency=low * Disable localized error pages again by default because they break diff --git a/debian/config-dir/envvars b/debian/config-dir/envvars index 6e1149be..2a0a52ba 100644 --- a/debian/config-dir/envvars +++ b/debian/config-dir/envvars @@ -13,3 +13,7 @@ export LANG=C #. /etc/default/locale export LANG + +## The command to get the status for 'apache2ctl status'. +## Some packages providing 'www-browser' need '--dump' instead of '-dump'. +#export APACHE_LYNX='www-browser -dump' diff --git a/debian/control b/debian/control index 4d167bc2..185899f8 100644 --- a/debian/control +++ b/debian/control @@ -199,3 +199,4 @@ Architecture: any Depends: apache2.2-bin (= ${binary:Version}) Description: Apache debugging symbols This package includes the debugging symbols for Apache 2. + See /usr/share/doc/apache2.2-common/README.backtrace for more information. diff --git a/debian/patches/050_enhance_apache2ctl.dpatch b/debian/patches/050_enhance_apache2ctl.dpatch index 0e3997f8..0b641f31 100755 --- a/debian/patches/050_enhance_apache2ctl.dpatch +++ b/debian/patches/050_enhance_apache2ctl.dpatch @@ -8,8 +8,8 @@ @DPATCH@ diff -urNad trunk~/support/apachectl.in trunk/support/apachectl.in ---- trunk~/support/apachectl.in 2009-05-17 10:18:07.998158064 +0200 -+++ trunk/support/apachectl.in 2009-05-17 10:22:03.232686445 +0200 +--- trunk~/support/apachectl.in 2010-01-02 17:51:49.480626116 +0100 ++++ trunk/support/apachectl.in 2010-01-02 17:52:31.089347144 +0100 @@ -40,28 +40,31 @@ # |||||||||||||||||||| START CONFIGURATION SECTION |||||||||||||||||||| # -------------------- -------------------- @@ -50,7 +50,7 @@ diff -urNad trunk~/support/apachectl.in trunk/support/apachectl.in # -------------------- -------------------- # |||||||||||||||||||| END CONFIGURATION SECTION |||||||||||||||||||| -@@ -71,13 +74,33 @@ +@@ -71,13 +74,42 @@ fi ERROR=0 @@ -63,6 +63,15 @@ diff -urNad trunk~/support/apachectl.in trunk/support/apachectl.in + exit 1 fi ++get_status () { ++ if ! $LYNX $STATUSURL ; then ++ echo "'$LYNX $STATUSURL'" failed. >&2 ++ echo Maybe you need to install a package providing www-browser or you >&2 ++ echo need to adjust the APACHE_LYNX variable in /etc/apache2/envvars >&2 ++ exit 1 ++ fi ++} ++ case $ARGV in -start|stop|restart|graceful|graceful-stop) - $HTTPD -k $ARGV @@ -88,7 +97,7 @@ diff -urNad trunk~/support/apachectl.in trunk/support/apachectl.in ERROR=$? ;; startssl|sslstart|start-SSL) -@@ -87,7 +110,7 @@ +@@ -87,17 +119,17 @@ ERROR=2 ;; configtest) @@ -97,8 +106,12 @@ diff -urNad trunk~/support/apachectl.in trunk/support/apachectl.in ERROR=$? ;; status) -@@ -97,7 +120,7 @@ - $LYNX $STATUSURL +- $LYNX $STATUSURL | awk ' /process$/ { print; exit } { print } ' ++ get_status | awk ' /process$/ { print; exit } { print } ' + ;; + fullstatus) +- $LYNX $STATUSURL ++ get_status ;; *) - $HTTPD $ARGV |